import 'normalize.css/normalize.css';

import App from './App';
import router, { constantRouterMap, routeStore } from '../router';
import store from '../store';

routeStore.install(store);

import '@/assets/styles/index.scss'; // global css
import '@/permission'; // 用户登录认证
// import './mock' // mockjs
import extendCom from '@/utils/extends';

const createSystem = ({ routers, routeConfig }) => {
  extendCom(Vue);

  Vue.config.productionTip = false;

  /* eslint-disable no-new */
  return new Vue({
    el: '#app',
    router,
    store,
    render: h => {
      let routes = [...constantRouterMap];
      let allRoute = store.getters.asyncRoutes;
      routeConfig && routeConfig(routes, allRoute);
      return <App route={routes} allRoutes={allRoute} />;
    },
  });
};

export default createSystem;
