import Vue from 'vue';
import 'normalize.css/normalize.css';

import App from './App';
import router, { constantRouterMap, routeStore } from './router';
import store from './store';
import { formatRouteLink } from './utils/route';

routeStore.install(store);

import '@/assets/styles/index.scss'; // global css
import '@/permission'; // 用户登录认证
// import './mock' // mockjs
import extendCom from '@/utils/extends';

extendCom(Vue);

Vue.config.productionTip = false;

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  render: h => {
    let routes = [...constantRouterMap];
    let allRoute = store.getters.asyncRoutes;
    if (allRoute && allRoute.length) {
      let addRoute = formatRouteLink(allRoute);
      for (let index = 0; index < addRoute.length; index++) {
        const element = addRoute[index];
        if (element.children) {
          routes = routes.concat(element.children);
        }
      }
    }
    return <App route={routes} allRoutes={allRoute} />;
  },
});
