import { fetchSelectList } from '@/api/base/index';

const GIVE_TYPE_LIST = 'GIVE_TYPE_LIST';
const CONSUME_TYPE_LIST = 'CONSUME_TYPE_LIST';
const PAYMENT_CONSUME_PAY_WAY_LIST = 'PAYMENT_CONSUME_PAY_WAY_LIST';
const state = () => ({
  list: [],
  consumeTypeList : [],//消费类型
  paymentConsumePayWayList : [],//执法方式
});

const getters = {
  giveTypeList: state => state.list,
  consumeTypeList :state => state.consumeTypeList,
  paymentConsumePayWayList :state=>state.paymentConsumePayWayList,
};

const actions = {

  //赠送类型
  fetchGiveTypeList({ commit }) {
    return fetchSelectList({
      params: {
          type:"2",
      },
    }).then(res => {
      const list = res.data;
      commit(GIVE_TYPE_LIST, list);
    });
  },

  //消费类型
  fetchConsumeTypeList({ commit }) {
    return fetchSelectList({
      params: {
          type:"3",
      },
    }).then(res => {
      const list = res.data;
      commit(CONSUME_TYPE_LIST, list);
    });
  },

    //支付方式
    fetchPaymentConsumePayWayList({ commit }) {
      return fetchSelectList({
        params: {
            type:"4",
        },
      }).then(res => {
        const list = res.data;
        commit(PAYMENT_CONSUME_PAY_WAY_LIST, list);
      });
    },
};

const mutations = {
  [GIVE_TYPE_LIST](state, list) {
    state.list = list;
  },
  [CONSUME_TYPE_LIST](state, list) {
    state.consumeTypeList = list;
  },
  [PAYMENT_CONSUME_PAY_WAY_LIST](state, paymentConsumePayWayList) {
    state.paymentConsumePayWayList = paymentConsumePayWayList;
  },
};

export default {
  state,
  getters,
  actions,
  mutations,
};
